**Note: This class is in the process of being applied as the new base class
for resources around the OpenStack SDK. Once that has been completed,
this module will be drop the 2 suffix and be the only resource module.**

Resource
========
.. automodule:: openstack.resource

Components
----------

.. autoclass:: openstack.resource.Body
   :members:

.. autoclass:: openstack.resource.Header
   :members:

.. autoclass:: openstack.resource.URI
   :members:

The Resource class
------------------

.. autoclass:: openstack.resource.Resource
   :members:
   :member-order: bysource
